org.apache.ignite.internal.visor.cache

## Class VisorCachePreloadConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCachePreloadConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCachePreloadConfiguration
    extends Object
    implements Serializable

Data transfer object for cache preload configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCachePreloadConfiguration()`

### Method Summary

Methods
`int` `batchSize()`
`static VisorCachePreloadConfiguration` `from(CacheConfiguration ccfg)`
`CacheRebalanceMode` `mode()`
`long` `partitionedDelay()`
`int` `threadPoolSize()`
`long` `throttle()`
`long` `timeout()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCachePreloadConfiguration

    public VisorCachePreloadConfiguration()

### Method Detail

#### from

    public static VisorCachePreloadConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for preload configuration properties.

#### mode

    public CacheRebalanceMode mode()

Returns:
  Cache preload mode.

#### threadPoolSize

    public int threadPoolSize()

Returns:
  Preload thread pool size.

#### batchSize

    public int batchSize()

Returns:
  Cache preload batch size.

#### partitionedDelay

    public long partitionedDelay()

Returns:
  Preloading partitioned delay.

#### throttle

    public long throttle()

Returns:
  Time in milliseconds to wait between preload messages.

#### timeout

    public long timeout()

Returns:
  Preload timeout.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015